<?php
namespace inshok\admin\controllers\admin;

use \inshok\admin\controllers\interfaces\InterfaceProcess;
use inshok\admin\database\PdoCategory;
use \inshok\admin\helpers\Html;
use \inshok\admin\helpers\Message;

use \inshok\admin\database\PdoTemplate;
use inshok\admin\entity\EntityCategory;
use inshok\admin\entity\EntityTemplate;



class CategoryTemplateListController implements InterfaceProcess {

    use Html;

    public function process(): void
    {



        // $login = AdminController::login();
        // $login_id = $login['id'];
        $user_access = 1;
        
        $pdo_category = new PdoCategory();
        $action = filter_input( INPUT_GET , 'action' , FILTER_SANITIZE_STRING );
        $id_category = filter_input( INPUT_GET , 'id' , FILTER_SANITIZE_STRING );
        
        $category = new EntityCategory();
        $category->setId( $id_category );

        $template = new EntityTemplate( TEMPLATE_PRIMARY );
        

        $template_type = 0;

        if( $_POST ) {

            $template_type = filter_input( INPUT_POST , 'template_type', FILTER_SANITIZE_NUMBER_INT );            
            $templates_list = $_POST['template_list'];
            // $templates_list = filter_input( INPUT_POST, 'template_list', FILTER_SANITIZE_STRING );

            if( !empty( $templates_list ) ) {

                $object_templates = json_decode( $templates_list , true );

                foreach($object_templates as $template_item) {

                    $template->setId( $template_item['id'] );

                    $action = 0;
                    if( $template_item['checked'] ) {
                        $action = 1;
                    }

                    $pdo_category->savedeleteTemplateCategory( $category , $template , $action );

                }
            }

        }


        
        $page = intval( filter_input( INPUT_GET , 'page', FILTER_SANITIZE_NUMBER_INT ) );
        if( empty($page) ) {
            $page = 0; 
        } else {
            $page--;
        } 


        $pdo_template = new PdoTemplate();
        $template_fulllist = $pdo_template->listbyCategory( $category, $page );
        $template_list = [];

        foreach( $template_fulllist as $template_item ) {
            $template = new EntityTemplate( TEMPLATE_PRIMARY );
            $template->setInstance( $template_item );
            $template_list[] = $template;
        }


        $args = [
            'pathJS' => 'caregorias-templates-list.js',
            'access' => $user_access,
            'template_type' => $template_type,
        ];

        if( Message::get() ) {
            $args['message_return'] = Message::get();
            Message::destroy();
        }

        $args['template_list'] = $template_list;
        $args['total'] = intval( $pdo_template->totallist() );
        $args['page'] = intval( $page );


        $path = 'admin/caregorias-templates-list.php';
        echo $this->render($path , $args);
        
        

    }

}




