<?php
namespace inshok\admin\controllers\admin;

use inshok\admin\controllers\interfaces\InterfaceProcess;
use inshok\admin\helpers\Html;
use inshok\admin\helpers\Message;
use inshok\admin\helpers\Clear;

use inshok\admin\database\PdoCategory;
use inshok\admin\entity\EntityCategory;

class ImageInsertController implements InterfaceProcess {

    use Html;

    public function process(): void
    {
        
        $action = filter_input( INPUT_GET , 'action' , FILTER_SANITIZE_STRING );
        if( empty($action) ) $action = 'insert';
        
        $category_id = filter_input( INPUT_GET , 'id' , FILTER_VALIDATE_INT );
        if( empty($category_id) ) $category_id = 0;


        // Recuperar a variável access do login
        $user_access = 1;
        
        
        $category = new EntityCategory();
        $category->setId( $category_id );

        $category_pdo = new PdoCategory();
        
        
        if( $_POST ) {

            $category->setInstance( [
                'key' => filter_input( INPUT_POST , 'key' , FILTER_SANITIZE_STRING ),
                'name' => filter_input( INPUT_POST , 'name' , FILTER_SANITIZE_STRING ),
                'description' => filter_input( INPUT_POST , 'description' , FILTER_SANITIZE_STRING ),
                'text' => filter_input( INPUT_POST , 'text' , FILTER_SANITIZE_STRING ),
                'hierarchy' => 0,
                'depth' => 0,
            ] );


            $category_pdo_save = $category_pdo->save( $category );
            $category_message_return = $category_pdo_save['index_return'];
            
            if( $category_message_return == 2 ) {
                Message::set('Esta categoria já existe' , 2);
                
            } else {
                
                if( $action == 'insert' ) {
                    $category->setId( $category_pdo_save['v_category_id'] );
                }

                if( $category_message_return == 1 ) {
                    Message::set('Categoria alterada com sucesso' , 1);
                } else {
                    Message::set('Categoria cadastrada com sucesso' , 1);
                }
            }
        }
        
        
        if( $action == 'insert' ) {
            $title = 'Inserir';
        } elseif( $action == 'update' ) {
            $title = 'Alterar';
            
        }

        $args = [
            'pathJS' => 'image-insert.js',
            'access' => $user_access,
            'page_title' => $title . ' categoria',
            'button_label' => $title,
        ];
        
        if( Message::get() ) {
            $args['message_return'] = Message::get();
            Message::destroy();
        }

        
        if( $action == 'update' )  {
            
            $category_pdo_list = $category_pdo->list( $category->getId() );
            $category->setInstance( $category_pdo_list );;


            if( !empty( $category_pdo_list ) ) {
                $args['category'] = json_decode( json_encode( $category ) );
            }
            
        } elseif( $action == 'insert' && $_POST) {

            if( $category_message_return == 2 ) {

                $args['category'] = json_decode( json_encode( $category ) );

            }

        }

        
        $path = 'admin/image-insert.php';
        echo $this->render($path , $args);
        

    }

}




