<?php
namespace inshok\admin\controllers\admin;

use \inshok\admin\controllers\interfaces\InterfaceProcess;
use \inshok\admin\helpers\Html;
use \inshok\admin\helpers\Message;

use \inshok\admin\database\PdoCategory;
use inshok\admin\entity\EntityCategory;

class ImageListController implements InterfaceProcess {

    use Html;

    public function process(): void
    {



        // $login = AdminController::login();
        // $login_id = $login['id'];
        $user_access = 1;
        $pdo_category = new PdoCategory();
        
        $action = filter_input( INPUT_GET , 'action' , FILTER_SANITIZE_STRING );
        $id_category = filter_input( INPUT_GET , 'id' , FILTER_SANITIZE_STRING );

        $category = new EntityCategory();
        $category->setId( $id_category );
        
        if( $action == 'delete' )  {
            
            $message_return = $pdo_category->delete( $category );
            
            if( intval( $message_return['index_return'] ) == 1 ) {
                Message::set('Categoria excluída com sucesso' , 1);
            } else {
                Message::set('Não foi possível excluir a categoria, verifica se não possui templates associado a ela.' , 2);
            }
            
        }

        
        $page = intval( filter_input( INPUT_GET , 'page', FILTER_SANITIZE_NUMBER_INT ) );
        if( empty($page) ) {
            $page = 0; 
        } else {
            $page--;
        } 


        $category_list = [];
        $category_fulllist = $pdo_category->fulllist( $page );
        
        foreach( $category_fulllist as $category_item ) {
            $category = new EntityCategory();
            $category->setInstance( $category_item );
            $category_list[] = $category;
        }


        $args = [
            'pathJS' => 'images-list.js',
            'access' => $user_access,
        ];

        if( Message::get() ) {
            $args['message_return'] = Message::get();
            Message::destroy();
        }

        $args['category_list'] = $category_list;
        $args['total'] = intval( $pdo_category->totallist() );
        $args['page'] = intval( $page );


        $path = 'admin/images-list.php';
        echo $this->render($path , $args);
        
        

    }

}




