<?php
namespace inshok\admin\controllers\admin;

use inshok\admin\controllers\interfaces\InterfaceProcess;
use inshok\admin\helpers\Html;
use inshok\admin\helpers\Message;
use inshok\admin\helpers\Clear;

use inshok\admin\database\PdoTemplate;
use inshok\admin\entity\EntityTemplate;

class TemplateInsertController implements InterfaceProcess {

    use Html;

    public function process(): void
    {
        
        $action = filter_input( INPUT_GET , 'action' , FILTER_SANITIZE_STRING );
        if( empty($action) ) $action = 'insert';
        
        $template_id = filter_input( INPUT_GET , 'id' , FILTER_VALIDATE_INT );
        if( empty($template_id) ) $template_id = 0;


        // Recuperar a variável access do login
        $user_access = 1;

        
        $template = new EntityTemplate( TEMPLATE_PRIMARY );
        $template->setId( $template_id );

        $template_pdo = new PdoTemplate();
        
        
        if( $_POST ) {

            $json = json_encode( '[]' );

            $template->setInstance( [
                'key' => filter_input( INPUT_POST , 'key' , FILTER_SANITIZE_STRING ),
                'title' => filter_input( INPUT_POST , 'title' , FILTER_SANITIZE_STRING ),
                'description' => filter_input( INPUT_POST , 'description' , FILTER_SANITIZE_STRING ),
                'text' => filter_input( INPUT_POST , 'text' , FILTER_SANITIZE_STRING ),
                'dateini' => filter_input( INPUT_POST , 'dateini' , FILTER_SANITIZE_STRING ),
                'datefim' => filter_input( INPUT_POST , 'datefim' , FILTER_SANITIZE_STRING ),
                'timeini' => filter_input( INPUT_POST , 'timeini' , FILTER_SANITIZE_STRING ),
                'timefim' => filter_input( INPUT_POST , 'timefim' , FILTER_SANITIZE_STRING ),
                'link' => filter_input( INPUT_POST , 'link' , FILTER_SANITIZE_STRING ),
                'json' => $json,
            ] );


            $template_pdo_save = $template_pdo->save( $template );
            $template_message_return = $template_pdo_save['index_return'];
            
            if( $template_message_return == 2 ) {
                Message::set('Este template já existe' , 2);
                
            } else {
                
                if( $action == 'insert' ) {
                    $template->setId( $template_pdo_save['v_template_id'] );
                }

                if( $template_message_return == 1 ) {
                    Message::set('Template alterado com sucesso' , 1);
                } else {
                    Message::set('Template cadastrado com sucesso' , 1);
                }
            }
        }
        
        
        if( $action == 'insert' ) {
            $title = 'Inserir';
        } elseif( $action == 'update' ) {
            $title = 'Alterar';
            
        }

        $args = [
            'pathJS' => 'template-insert.js',
            'access' => $user_access,
            'page_title' => $title . ' template',
            'button_label' => $title,
        ];
        
        if( Message::get() ) {
            $args['message_return'] = Message::get();
            Message::destroy();
        }

        
        if( $action == 'update' )  {
            
            $template_pdo_list = $template_pdo->list( $template->getId() );
            $template->setInstance( $template_pdo_list );


            if( !empty( $template_pdo_list ) ) {
                $args['templatelist'] = json_decode( json_encode( $template ) );
            }
            
        } elseif( $action == 'insert' && $_POST) {

            if( $template_message_return == 2 ) {

                $args['templatelist'] = json_decode( json_encode( $template ) );

            }

        }

        $path = 'admin/template-insert.php';
        echo $this->render($path , $args);
        

    }

}




