<?php
namespace inshok\admin\controllers\admin;

use \inshok\admin\controllers\interfaces\InterfaceProcess;
use \inshok\admin\helpers\Html;
use \inshok\admin\helpers\Message;

use \inshok\admin\database\PdoTemplate;
use inshok\admin\entity\EntityTemplate;

class TemplateListController implements InterfaceProcess {

    use Html;

    public function process(): void
    {



        // $login = AdminController::login();
        // $login_id = $login['id'];
        $user_access = 1;
        $pdo_template = new PdoTemplate();
        
        $action = filter_input( INPUT_GET , 'action' , FILTER_SANITIZE_STRING );
        $id_template = filter_input( INPUT_GET , 'id' , FILTER_SANITIZE_STRING );

        $template = new EntityTemplate( TEMPLATE_PRIMARY );
        $template->setId( $id_template );
        
        if( $action == 'delete' )  {
            
            $message_return = $pdo_template->delete( $template );
            
            if( intval( $message_return['index_return'] ) == 0 ) {
                Message::set('Template excluído com sucesso' , 1);
            } else {
                Message::set('Não foi possível excluir o template.' , 2);
            }
            
        }

        
        $page = intval( filter_input( INPUT_GET , 'page', FILTER_SANITIZE_NUMBER_INT ) );
        if( empty($page) ) {
            $page = 0; 
        } else {
            $page--;
        } 


        $template_list = [];
        $template_fulllist = $pdo_template->fulllist( $page );
        
        foreach( $template_fulllist as $template_item ) {
            $template = new EntityTemplate( TEMPLATE_PRIMARY );
            $template->setInstance( $template_item );
            $template_list[] = $template;
        }


        $args = [
            'pathJS' => 'templates-list.js',
            'access' => $user_access,
        ];

        if( Message::get() ) {
            $args['message_return'] = Message::get();
            Message::destroy();
        }

        $args['template_list'] = $template_list;
        $args['total'] = intval( $pdo_template->totallist() );
        $args['page'] = intval( $page );


        $path = 'admin/templates-list.php';
        echo $this->render($path , $args);
        
        

    }

}




