<?php
namespace inshok\admin\controllers\admin;

use inshok\admin\controllers\interfaces\InterfaceProcess;
use inshok\admin\helpers\Html;
use inshok\admin\helpers\Message;
use inshok\admin\helpers\Clear;

use inshok\admin\database\PdoUser;
use inshok\admin\entity\EntityAddress;
use inshok\admin\entity\EntityUser;


class UserAddressController implements InterfaceProcess {

    use Html;

    public function process(): void
    {
        
        $user_id = filter_input( INPUT_GET , 'id' , FILTER_VALIDATE_INT );
        if( empty($user_id) ) $user_id = 0;
        

        // Recuperar a variável access do login
        $user_access = 1;
        
        
        $user = new EntityUser();
        $user->setId( $user_id );

        $user_pdo = new PdoUser();
        
        
        if( $_POST ) {

            $user_address = new EntityAddress();
            $user_address->setInstance( [
                'cep' => filter_input( INPUT_POST , 'cep' , FILTER_SANITIZE_STRING ),
                'rua' => filter_input( INPUT_POST , 'rua' , FILTER_SANITIZE_STRING ),
                'numero' => filter_input( INPUT_POST , 'numero' , FILTER_SANITIZE_STRING ) ,
                'complemento' => filter_input( INPUT_POST , 'complemento' , FILTER_SANITIZE_STRING ),
                'bairro' => filter_input( INPUT_POST , 'bairro' , FILTER_SANITIZE_STRING ),
                'cidade' => filter_input( INPUT_POST , 'cidade' , FILTER_SANITIZE_STRING ),
                'estado' => filter_input( INPUT_POST , 'estado' , FILTER_SANITIZE_STRING ),
                'pais' => filter_input( INPUT_POST , 'pais' , FILTER_SANITIZE_STRING ),
            ] );

            $user_save_address = $user_pdo->saveAddress( $user , $user_address );

            $user_message_return = $user_save_address['index_return'];
            if( $user_message_return == 1 ) {
                Message::set('Endereço alterado com sucesso' , 1);
            } else {
                Message::set('Endereço cadastrados com sucesso' , 1);
            }
            
        }
        

        $args = [
            'pathJS' => 'user-address.js',
            'access' => $user_access,
            'page_title' => 'Alterar endereço do usuário',
            'button_label' => 'Alterar',
        ];
        
        if( Message::get() ) {
            $args['message_return'] = Message::get();
            Message::destroy();
        }

        
        $user_pdo_listaddress = $user_pdo->listAddress( $user );
        if( !empty( $user_pdo_listaddress ) ) {
            $address = new EntityAddress();
            $address->setInstance( $user_pdo_listaddress );
            $args['address'] = json_decode( json_encode( $address ) );
        }
        
        $args['user'] = json_decode( json_encode( $user ) );
        
        $path = 'admin/user-address.php';
        echo $this->render($path , $args);
        

    }

}




