<?php
namespace inshok\admin\controllers\admin;

use inshok\admin\controllers\interfaces\InterfaceProcess;
use inshok\admin\helpers\Html;
use inshok\admin\helpers\Message;
use inshok\admin\helpers\Clear;

use inshok\admin\database\PdoUser;
use inshok\admin\entity\EntityAddress;
use inshok\admin\entity\EntityContacts;
use inshok\admin\entity\EntityDocuments;
use inshok\admin\entity\EntityUser;


class UserContactsController implements InterfaceProcess {

    use Html;

    public function process(): void
    {
        
        $user_id = filter_input( INPUT_GET , 'id' , FILTER_VALIDATE_INT );
        if( empty($user_id) ) $user_id = 0;
        

        // Recuperar a variável access do login
        $user_access = 1;
        
        
        $user = new EntityUser();
        $user->setId( $user_id );

        $user_pdo = new PdoUser();
        
        
        if( $_POST ) {

            $user_contacts = new EntityContacts();
            $user_contacts->setInstance( [
                'phone' => Clear::phone( filter_input( INPUT_POST , 'phone' , FILTER_SANITIZE_STRING ) ),
                'landline' => Clear::phone( filter_input( INPUT_POST , 'landline' , FILTER_SANITIZE_STRING ) ),
                'whatsapp' => Clear::phone( filter_input( INPUT_POST , 'whatsapp' , FILTER_SANITIZE_STRING ) ),
                'email1' => filter_input( INPUT_POST , 'email1' , FILTER_SANITIZE_STRING ),
                'email2' => filter_input( INPUT_POST , 'email2' , FILTER_SANITIZE_STRING ),
                'email3' => filter_input( INPUT_POST , 'email3' , FILTER_SANITIZE_STRING ),
            ] );

            $user_save_contacts = $user_pdo->saveContacts( $user , $user_contacts );

            $user_message_return = $user_save_contacts['index_return'];
            if( $user_message_return == 1 ) {
                Message::set('Contatos alterados com sucesso' , 1);
            } else {
                Message::set('Contatos cadastrados com sucesso' , 1);
            }

            
        }
        

        $args = [
            'pathJS' => 'user-contacts.js',
            'access' => $user_access,
            'page_title' => 'Altera contatos do usuário',
            'button_label' => 'Alterar',
        ];
        
        if( Message::get() ) {
            $args['message_return'] = Message::get();
            Message::destroy();
        }

        
        $user_pdo_listcontacts = $user_pdo->listcontacts( $user );

        $contacts = new EntityContacts();
        $contacts->setInstance( $user_pdo_listcontacts );
        
        
        if( !empty( $user_pdo_listcontacts ) ) {
            $args['user'] = json_decode( json_encode( $user ) );
            $args['contacts'] = json_decode( json_encode( $contacts ) );
        }
        
        
        $path = 'admin/user-contacts.php';
        echo $this->render($path , $args);
        

    }

}




