<?php
namespace inshok\admin\controllers\admin;

use \inshok\admin\controllers\interfaces\InterfaceProcess;
use \inshok\admin\helpers\Html;
use \inshok\admin\helpers\Message;

use \inshok\admin\database\PdoUser;
use inshok\admin\entity\EntityUser;

class UserListController implements InterfaceProcess {

    use Html;

    public function process(): void
    {



        // $login = AdminController::login();
        // $login_id = $login['id'];
        $user_access = 1;
        $pdo_user = new PdoUser();
        
        $action = filter_input( INPUT_GET , 'action' , FILTER_SANITIZE_STRING );
        $id_user = filter_input( INPUT_GET , 'id' , FILTER_SANITIZE_STRING );
        
        if( $action == 'delete' )  {
            
            $message_return = $pdo_user->delete( $id_user );
            
            if( $message_return ) {
                Message::set('Usuário excluído com sucesso' , 1);
            } else {
                Message::set('Não foi possível excluir o usuário, tente novamente ou contate o administrador do sistema.' , 2);
            }
            
        }
        

        
        
        
        $page = intval( filter_input( INPUT_GET , 'page', FILTER_SANITIZE_NUMBER_INT ) );
        if( empty($page) ) {
            $page = 0; 
        } else {
            $page--;
        } 


        $user_list = [];
        $user_fulllist = $pdo_user->fulllist( $page );
        foreach( $user_fulllist as $user_item ) {
            $user = new EntityUser();
            $user->setInstance( $user_item );
            $user_list[] = $user;
        }

        $args = [
            'pathJS' => 'list-users.js',
            'access' => $user_access,
        ];

        if( Message::get() ) {
            $args['message_return'] = Message::get();
            Message::destroy();
        }

        $args['user_list'] = $user_list;
        $args['total'] = intval( $pdo_user->totallist() );
        $args['page'] = intval( $page );


        $path = 'admin/users-list.php';
        echo $this->render($path , $args);
        
        

    }

}




