<?php
namespace inshok\admin\controllers\admin;

use inshok\admin\controllers\interfaces\InterfaceProcess;
use inshok\admin\helpers\Html;
use inshok\admin\helpers\Message;

use inshok\admin\database\PdoUser;
use inshok\admin\entity\EntityLogin;
use inshok\admin\entity\EntityUser;


class UserLoginController implements InterfaceProcess {

    use Html;

    public function process(): void
    {
        
        $user_id = filter_input( INPUT_GET , 'id' , FILTER_VALIDATE_INT );
        if( empty($user_id) ) $user_id = 0;
        

        // Recuperar a variável access do login
        $user_access = 1;
        
        
        $user = new EntityUser();
        $user->setId( $user_id );

        $user_pdo = new PdoUser();
        
        
        if( $_POST ) {

            $user_login = new EntityLogin();
            $user_login->setPass( filter_input( INPUT_POST , 'pass' , FILTER_SANITIZE_STRING ) );
            $user_login->setKey( filter_input( INPUT_POST , 'key' , FILTER_SANITIZE_STRING ) );
            

            $user_save_login = $user_pdo->savePass( $user , $user_login );

            $user_message_return = $user_save_login['index_return'];
            if( $user_message_return == 1 ) {
                Message::set('Login alterado com sucesso' , 1);
            } else {
                Message::set('Login cadastrado com sucesso' , 1);
            }
            
        }
        

        $args = [
            'pathJS' => 'user-login.js',
            'access' => $user_access,
            'page_title' => 'Alterar endereço do usuário',
            'button_label' => 'Alterar',
        ];
        
        if( Message::get() ) {
            $args['message_return'] = Message::get();
            Message::destroy();
        }

        
        $user_pdo_listlogin = $user_pdo->listLogin( $user );
        
        if( !empty( $user_pdo_listlogin ) ) {
            $login = new EntityLogin();
            $login->setInstance( $user_pdo_listlogin );
            $args['login'] = json_decode( json_encode( $login ) );
        }
        
        $args['user'] = json_decode( json_encode( $user ) );
        
        $path = 'admin/user-login.php';
        echo $this->render($path , $args);
        

    }

}




