<?php

namespace inshok\admin\controllers\admin;

use \inshok\admin\controllers\interfaces\InterfaceProcess;
use \inshok\admin\helpers\Html;
use \inshok\admin\helpers\Message;
use \inshok\admin\database\PdoClinic;


class InsertClinicController implements InterfaceProcess {

    
    use Html;


    public function process( $post_vars ): void
    {


        extract($post_vars);


        $login = AdminController::login();
        $login_id = $login['id'];

        $pdo_clinic = new PdoClinic();
        
        if( count($post_vars) <= 0) $action = 'insert';
        $clinic_id = 0;
        $page_title = 'Inserir Clínica';

        if( count($post_vars) > 0 ) {

            // $action = filter_input(INPUT_GET , 'action' , FILTER_SANITIZE_STRING);
            // $id = filter_input(INPUT_GET , 'id' , FILTER_SANITIZE_STRING);

            if( $action == 'update' ) {

                $pdo_clinic_list = $pdo_clinic->list( $id , $login_id );
                $action = 'update';
                $clinic_id = $id;
                $page_title = 'Alterar Clínica';

            }

        }


        if( $_POST ) {

            $post_vars = [
                'user_id' => $login_id,
                'clinic_id' => $clinic_id,
                'clinic_name' => filter_input(INPUT_POST , 'clinic_name' , FILTER_SANITIZE_STRING),
                'clinic_description' => filter_input(INPUT_POST , 'clinic_description' , FILTER_SANITIZE_STRING),
            ];
            

            $pdo_clinic_save = $pdo_clinic->save( $post_vars );
            if( $pdo_clinic_save ) {

                $message_return = intval( $pdo_clinic_save['message_return'] );
                if( $message_return == 1) {

                    Message::set( 'Clínica cadastrada com sucesso' );

                } elseif( $message_return == 2 ) {
                
                    Message::set( 'Clínica alterada com sucesso' );
                    Header ('Location: /lista-clinicas');

                } elseif( $message_return == 3 ) {
                
                    Message::set('Clínica já cadastrada');
                
                }

                // header( 'Location: ./lista-usuarios' ); 

            }


        }

        $text_button = 'Inserir Clínica';
        if( isset( $pdo_clinic_list )) {
            $text_button = 'Alterar Clínica';
        }


        // Página da lista de usuários
        // 
    
        $args = [
            'pathJS' => 'insert-clinic.js',
            'access' => $login['access'],
            'message_return_text' => Message::get(),
            'text_button' => $text_button,
            'action' => $action,
            'page_title' => $page_title
        ];

        if( isset( $message_return ) ) {
            $args['message_return'] = $message_return;
        }




        if( isset( $pdo_clinic_list )) {
            $args['clinic_list'] = $pdo_clinic_list;
        }

        

        $path = 'admin/insert-clinic.php';
        echo $this->render($path , $args);


        Message::destroy();
    

    }


}
