<?php
namespace inshok\admin\controllers\admin;

use \inshok\admin\controllers\interfaces\InterfaceProcess;
use \inshok\admin\helpers\Html;
use \inshok\admin\helpers\Message;
use \inshok\admin\database\PdoDoctor;


class InsertDoctorController implements InterfaceProcess {

    
    use Html;


    public function process( $post_vars ): void
    {

        extract($post_vars);


        $login = AdminController::login();
        $login_id = $login['id'];

        $pdo_doctor = new PdoDoctor();
        
        if( count($post_vars) <= 0 ) $action = 'insert';
        $doctor_id = 0;
        $page_title = 'Cadastrar Profissional';

        if( count($post_vars) > 0 ) {

            //$action = filter_input(INPUT_GET , 'action' , FILTER_SANITIZE_STRING);
            //$id = filter_input(INPUT_GET , 'id' , FILTER_SANITIZE_STRING);

            if( $action == 'update' ) {
                
                $doctor_id = $id;
                $pdo_doctor_list = $pdo_doctor->fulllist( $login_id , $doctor_id );
                $action = 'update';
                $page_title = 'Alterar Profissional';

            }

        }


        if( $_POST ) {

            $post_vars = [
                'user_id' => $login_id,
                'doctor_id' => $doctor_id,
                'doctor_name' => filter_input(INPUT_POST , 'doctor_name' , FILTER_SANITIZE_STRING),
                'doctor_description' => filter_input(INPUT_POST , 'doctor_description' , FILTER_SANITIZE_STRING),
                'doctor_specialty' => filter_input(INPUT_POST , 'doctor_specialty' , FILTER_SANITIZE_STRING),
            ];
    
            $pdo_doctor_save = $pdo_doctor->save( $post_vars );


            if( $pdo_doctor_save ) {

                $message_return = intval( $pdo_doctor_save['message_return'] );
                if( $message_return == 1) {

                    Message::set( 'Profissonal cadastrado com sucesso' );

                } elseif( $message_return == 2 ) {
                
                    Message::set( 'Profissional alterado com sucesso' );
                    Header ('Location: /lista-profissionais');

                } elseif( $message_return == 3 ) {
                
                    Message::set('E-mail já cadastrado');
                
                }

                // header( 'Location: ./lista-usuarios' ); 

            }


        }

        $text_button = 'Inserir Profissional';
        if( isset( $pdo_doctor_list )) {
            $text_button = 'Alterar Profissional';
        }

    
        $args = [
            'pathJS' => 'insert-doctor.js',
            'access' => $login['access'],
            'message_return_text' => Message::get(),
            'text_button' => $text_button,
            'action' => $action,
            'page_title' => $page_title
        ];

        if( isset( $message_return ) ) {
            $args['message_return'] = $message_return;
        }

        if( isset( $pdo_doctor_list )) {
            $args['doctor_list'] = $pdo_doctor_list;
        }

        

        $path = 'admin/insert-doctor.php';
        echo $this->render($path , $args);


        Message::destroy();
    

    }



}
