<?php
namespace inshok\admin\controllers\admin;

use \inshok\admin\controllers\interfaces\InterfaceProcess;
use inshok\admin\database\PdoClinic;
use \inshok\admin\database\PdoScheduling;
use \inshok\admin\helpers\Html;
use \inshok\admin\helpers\WhatsappLink;


class ListAppoimentController implements InterfaceProcess {

    
    use Html;


    public function process( $post_vars ): void
    {


        extract($post_vars);

        $login = AdminController::login();
        $login_id = $login['id'];


        $pdo_scheduling = new PdoScheduling();
        $scheduling_id = 0;


        $scheduling_dateconsultation_date = date('Y-m-d');

        if( count($post_vars) > 0 ) {
            // $action = filter_input( INPUT_GET , 'action' , FILTER_SANITIZE_STRING );
            // $id = filter_input( INPUT_GET , 'id' , FILTER_SANITIZE_STRING );
            
            if( $action == 'delete' )  {

                $pdo_scheduling->delete( $id );

            }

            if( $action == 'list' )  {

                $scheduling_dateconsultation_date = filter_input( INPUT_GET , 'sdd' , FILTER_SANITIZE_STRING );
                $clinic_id = $id;

            }


            if( $action == 'checkout' )  {

                $pdo_scheduling->checkout( $id );

            }


        }


        
        $args = [
            'pathJS' => 'list-scheduling.js',
            'access' => $login['access'],
            'scheduling_dateconsultation_date' => $scheduling_dateconsultation_date
        ];
        

        $pdo_clinic = new PdoClinic;
        $pdo_clinic_list = $pdo_clinic->fulllist( $login_id );

        
        if( count($pdo_clinic_list) > 0 ) {
            

            if( !isset( $clinic_id ) ) {
                $clinic_id = $pdo_clinic_list[0]['clinic_id'];

            }

            $args['clinic_list'] = $pdo_clinic_list;
            $args['clinic_selected'] = $clinic_id;
        }
        

        if( isset( $clinic_id ) ) {
            $pdo_scheduling_list = $pdo_scheduling->fulllist( $scheduling_id , $clinic_id, $scheduling_dateconsultation_date );
            if( !empty( $pdo_scheduling_list ) ) {
            



                $whatsapp_number = WhatsappLink::convert($pdo_scheduling_list[0]['patient_whatsapp']);
                $whatsapp_link = 'http://suaespera.com.br/?key=' . $pdo_scheduling_list[0]['scheduling_key'];
                $whatsapp_text = 'Link de atendimento Sua Espera: ' . $whatsapp_link;
                $whatsapp = 'https://wa.me/'. $whatsapp_number .'?text=' . $whatsapp_link;
                
                $args['whatsapp_link'] = $whatsapp;
                $args['scheduling_list'] = $pdo_scheduling_list;
            }
        }


        $path = 'admin/list-scheduling.php';
        echo $this->render($path , $args);
    

    }


}




