<?php

namespace inshok\admin\controllers\admin;

use \inshok\admin\controllers\interfaces\InterfaceProcess;
use \inshok\admin\helpers\Html;
use \inshok\admin\helpers\Message;
use \inshok\admin\database\PdoClinic;


class RegisterAddressController implements InterfaceProcess {

    
    use Html;


    public function process( $post_vars ): void
    {


        extract($post_vars);


        $login = AdminController::login();
        $login_id = $login['id'];


        $pdo_clinic = new PdoClinic();
        
        if( count($post_vars) <= 0 ) $action = 'none';
        $clinic_id = 0;
        $page_title = 'Endereço';

        if( count($post_vars) > 0 ) {

            //$action = filter_input(INPUT_GET , 'action' , FILTER_SANITIZE_STRING);
            //$id = filter_input(INPUT_GET , 'id' , FILTER_SANITIZE_STRING);

            if( $action == 'update' ) {

                $pdo_clinic_list = $pdo_clinic->list( $id , $login_id );
                $action = 'update';
                $clinic_id = $id;
                $page_title = 'Alterar Endereço';

            } else {

                Header ('Location: /lista-clinicas');
                exit();

            }

        }


        if( $_POST ) {

            $post_vars = [
                'user_id' => $login_id,
                'clinic_id' => $clinic_id,
                'clinicadress_1' => filter_input(INPUT_POST , 'clinicadress_1' , FILTER_SANITIZE_STRING),
                'clinicadress_2' => filter_input(INPUT_POST , 'clinicadress_2' , FILTER_SANITIZE_STRING),
                'clinicadress_number' => filter_input(INPUT_POST , 'clinicadress_number' , FILTER_SANITIZE_STRING),
                'clinicadress_complement' => filter_input(INPUT_POST , 'clinicadress_complement' , FILTER_SANITIZE_STRING),
                'clinicadress_district' => filter_input(INPUT_POST , 'clinicadress_district' , FILTER_SANITIZE_STRING),
                'clinicadress_zipcode' => filter_input(INPUT_POST , 'clinicadress_zipcode' , FILTER_SANITIZE_STRING),
                'clinicadress_city' => filter_input(INPUT_POST , 'clinicadress_city' , FILTER_SANITIZE_STRING),
                'clinicadress_state' => filter_input(INPUT_POST , 'clinicadress_state' , FILTER_SANITIZE_STRING),
                'clinicadress_country' => filter_input(INPUT_POST , 'clinicadress_country' , FILTER_SANITIZE_STRING),
            ];
            

            $pdo_clinic_save = $pdo_clinic->saveAddress( $post_vars );

            if( $pdo_clinic_save ) {

                Message::set( 'Endereço alterado com sucesso' );
                Header ('Location: /lista-clinicas');
                exit();


            }


        }

        $text_button = 'Alterar endereço';
       

        $args = [
            'pathJS' => 'register-address.js',
            'access' => $login['access'],
            'text_button' => $text_button,
            'action' => $action,
            'page_title' => $page_title
        ];

        if( isset( $message_return ) ) {
            $args['message_return'] = $message_return;
        }

        if( isset( $pdo_clinic_list )) {
            $args['clinic_list'] = $pdo_clinic_list;
        }

        

        $path = 'admin/register-address.php';
        echo $this->render($path , $args);


        Message::destroy();
    

    }


}
