<?php

namespace inshok\admin\controllers\admin;

use \inshok\admin\controllers\interfaces\InterfaceProcess;
use \inshok\admin\helpers\Html;
use \inshok\admin\helpers\Message;
use \inshok\admin\database\PdoClinic;


class RegisterContactsController implements InterfaceProcess {

    
    use Html;


    public function process( $post_vars ): void
    {


        extract($post_vars);

        $login = AdminController::login();
        $login_id = $login['id'];


        $pdo_clinic = new PdoClinic();
        
        if( count($post_vars) <= 0) $action = 'none';
        $clinic_id = 0;
        $page_title = 'Contatos';

        if( count($post_vars) > 0 ) {

            //$action = filter_input(INPUT_GET , 'action' , FILTER_SANITIZE_STRING);
            //$id = filter_input(INPUT_GET , 'id' , FILTER_SANITIZE_STRING);

            if( $action == 'update' ) {

                $pdo_clinic_list = $pdo_clinic->list( $id , $login_id );
                $action = 'update';
                $clinic_id = $id;
                $page_title = 'Alterar Contatos';

            } else {

                Header ('Location: /lista-clinicas');
                exit();

            }

        }


        if( $_POST ) {

            $post_vars = [
                'user_id' => $login_id,
                'clinic_id' => $clinic_id,
                'cliniccontact_email' => filter_input(INPUT_POST , 'cliniccontact_email' , FILTER_SANITIZE_STRING),
                'cliniccontact_landline' => filter_input(INPUT_POST , 'cliniccontact_landline' , FILTER_SANITIZE_STRING),
                'cliniccontact_cel1' => filter_input(INPUT_POST , 'cliniccontact_cel1' , FILTER_SANITIZE_STRING),
                'cliniccontact_cel2' => filter_input(INPUT_POST , 'cliniccontact_cel2' , FILTER_SANITIZE_STRING),
                'cliniccontact_cel3' => filter_input(INPUT_POST , 'cliniccontact_cel3' , FILTER_SANITIZE_STRING),
            ];
            

            $pdo_clinic_save = $pdo_clinic->saveContacts( $post_vars );

            if( $pdo_clinic_save ) {

                Message::set( 'Contatos alterados com sucesso' );
                Header ('Location: /lista-clinicas');
                exit();


            }


        }

        $text_button = 'Alterar contatos';
       

        $args = [
            'pathJS' => 'register-contacts.js',
            'access' => $login['access'],
            'text_button' => $text_button,
            'action' => $action,
            'page_title' => $page_title
        ];

        if( isset( $message_return ) ) {
            $args['message_return'] = $message_return;
        }

        if( isset( $pdo_clinic_list )) {
            $args['clinic_list'] = $pdo_clinic_list;
        }
       

        $path = 'admin/register-contacts.php';
        echo $this->render($path , $args);


        Message::destroy();
    

    }


}

