<?php
namespace inshok\admin\controllers\admin;

use \inshok\admin\controllers\interfaces\InterfaceProcess;
use inshok\admin\database\PdoClinic;
use inshok\admin\database\PdoDoctor;
use \inshok\admin\helpers\Html;
use \inshok\admin\database\PdoScheduling;

class UploadAppoimentController implements InterfaceProcess {

    
    use Html;


    public function process( $post_vars ): void
    {


        extract($post_vars);
        

        $login = AdminController::login();
        $login_id = $login['id'];

        $pdo_scheduling = new PdoScheduling();
        
        $action = 'upload';
        $scheduling_id = 0;
        $page_title = 'Upload de agenda';

        if( $_FILES ) {

            
            $message_return = '';
            $message_return_text = '';


            if($_FILES['file_list_upload']['type'] == 'application/vnd.ms-excel') {
                
                $archive_csv = $_FILES['file_list_upload']['tmp_name'];



                // Código para salvar o arquivo se necessário
                //$archive_temp_name = base64_encode(openssl_random_pseudo_bytes(16));
                //$is_upload = move_uploaded_file($_FILES['file_list_upload']['tmp_name'] , './uploads/' . $archive_temp_name . '.csv');

                if( $archive_csv ) {

                    $object = fopen($archive_csv , 'r');


                    while( ($object_data = fgetcsv( $object , 1000, ',')) !== false ) {

                        $scheduling_dateconsultation = utf8_encode($object_data[4]) . ' ' . utf8_encode($object_data[5]);
                        $v_scheduling_key = uniqid();

                        $post_vars = [
                            'scheduling_id' => $scheduling_id,
                            'user_id' => $login_id,
                            'patient_name' => utf8_encode($object_data[0]),
                            'patient_whatsapp' => utf8_encode($object_data[2]),
                            'patient_email' => utf8_encode($object_data[1]),
                            'scheduling_description' => utf8_encode($object_data[3]),
                            'scheduling_dateconsultation' => $scheduling_dateconsultation,
                            'scheduling_key' => $v_scheduling_key,
                            'doctor_id' => filter_input(INPUT_POST , 'doctor_id' , FILTER_SANITIZE_STRING),
                            'clinic_id' => filter_input(INPUT_POST , 'clinic_id' , FILTER_SANITIZE_STRING)
                        ];

                        $pdo_scheduling_save = $pdo_scheduling->save( $post_vars );
                    }

                    $message_return_text = 'Agenda enviada com sucesso';
                    $message_return = 1;

                } else{
                    
                    $message_return_text = 'Ocorreu um erro, tente novamente';
                    $message_return = 2;

                }
            
            } else{
                $message_return_text = 'Formato de arquivo inválido';
                $message_return = 3;

            }

        }


        $text_button = 'Enviar arquivo';

        
        $pdo_doctor = new PdoDoctor();
        $doctor_id = 0;
        $pdo_doctor_list = $pdo_doctor->fulllist( $login_id , $doctor_id );


        $pdo_clinic = new PdoClinic();
        $pdo_clinic_list = $pdo_clinic->fulllist( $login_id );
        

    
        $args = [
            'pathJS' => 'upload.js',
            'access' => $login['access'],
            'text_button' => $text_button,
            'action' => $action,
            'page_title' => $page_title
        ];

        if( isset( $message_return ) ) {
            $args['message_return'] = $message_return;
            $args['message_return_text'] = $message_return_text;
        }

        if( isset($pdo_doctor_list) ) {
            $args['doctor_list'] = $pdo_doctor_list;
        }
        
        if( isset($pdo_clinic_list) ) {
            $args['clinic_list'] = $pdo_clinic_list;
        }
        

        $path = 'admin/upload.php';
        echo $this->render($path , $args);


    }

}
