<?php 
namespace inshok\admin\database;

use \inshok\admin\database\ConnectionCreator;
use \inshok\admin\database\InterfaceBase;


use PDO;

class PdoBase implements InterfaceBase
{

    public function __construct()
    {
        
        $this->connection = ConnectionCreator::createConnection();

    }

    public function list( $id ) 
    {


        $sqlInstruction = 'CALL P_List( :ID )';
        $statement = $this->connection->prepare($sqlInstruction);
        $statement->bindValue(':ID', $id , PDO::PARAM_INT);
        $statement->execute();
        
        $data = $statement->fetch(PDO::FETCH_ASSOC);

        return $data;
    }

    public function fulllist() 
    {


        $sqlInstruction = 'CALL P_List( :ID )';
        $statement = $this->connection->prepare($sqlInstruction);
        $statement->bindValue(':ID', 0 , PDO::PARAM_INT);
        $statement->execute();

        $data_array = [];
        while($data = $statement->fetch(PDO::FETCH_ASSOC)) {
            $data_array[] = [
                'return_id' => $data["return_id"],
            ];
        }

        return $data_array;
    }

    public function save( $post_vars )
    {

       
        $sqlInstruction = 'CALL P_Update( :base_id, :base_name, :base_description )';
        $statement = $this->connection->prepare($sqlInstruction);
        $statement->bindValue(':base_id', $post_vars['base_id'] , PDO::PARAM_INT);
        $statement->bindValue(':base_name', $post_vars['base_name'] , PDO::PARAM_STR);
        $statement->bindValue(':base_description', $post_vars['base_description'] , PDO::PARAM_STR);
        $statement->execute();

        return $statement->fetch(PDO::FETCH_ASSOC);
        
    }


    public function delete( $id )
    {

        $sqlInstruction = 'CALL P_Delete( :ID )';
        $statement = $this->connection->prepare($sqlInstruction);
        $statement->bindValue(':ID', $id , PDO::PARAM_INT);
        
        return $statement->execute();
    }

}


