<?php 
namespace inshok\admin\database;

use \inshok\admin\database\ConnectionCreator;
use \inshok\admin\database\InterfaceBase;


use PDO;

class PdoGallery implements InterfaceBase
{

    public function __construct()
    {
        
        $this->connection = ConnectionCreator::createConnection();

    }

    public function list( $id ) 
    {

        $sqlInstruction = 'CALL p_list_gallery( :ID )';
        $statement = $this->connection->prepare($sqlInstruction);
        $statement->bindValue(':ID', $id , PDO::PARAM_INT);
        $statement->execute();
        
        $data = $statement->fetch(PDO::FETCH_ASSOC);

        return [
            'id' => $data['gallery_id'],
            'key' => $data['gallery_key'],
            'json' => $data['gallery_images_json'],
            'dateregister' => $data['gallery_dateregister'],
        ];
    }
    
    public function fulllist() 
    {

        $sqlInstruction = 'CALL p_list_gallery( :ID )';
        $statement = $this->connection->prepare($sqlInstruction);
        $statement->bindValue(':ID', 0 , PDO::PARAM_INT);
        $statement->execute();

        $data_array = [];
        while($data = $statement->fetch(PDO::FETCH_ASSOC)) {
            $data_array[] = [
                'id' => $data['gallery_id'],
                'key' => $data['gallery_key'],
                'json' => $data['gallery_images_json'],
                'dateregister' => $data['gallery_dateregister'],
            ];
        }

        return $data_array;
    }

    public function save( $args )
    {
       
        $sqlInstruction = 'CALL p_save_gallery( :gallery_id, :gallery_key, :gallery_images_json )';
        $statement = $this->connection->prepare($sqlInstruction);
        $statement->bindValue(':gallery_id', $args['id'] , PDO::PARAM_INT);
        $statement->bindValue(':gallery_key', $args['key'] , PDO::PARAM_STR);
        $statement->bindValue(':gallery_images_json', $args['json'] , PDO::PARAM_STR);
        $statement->execute();

        return $statement->fetch(PDO::FETCH_ASSOC);
        
    }


    public function delete( $id )
    {

        $sqlInstruction = 'CALL p_delete_gallery( :ID )';
        $statement = $this->connection->prepare($sqlInstruction);
        $statement->bindValue(':ID', $id , PDO::PARAM_INT);
        
        return $statement->execute();
    }

}


