<?php 
namespace inshok\admin\database;

use \inshok\admin\database\ConnectionCreator;
use \inshok\admin\database\InterfaceBase;


use PDO;

class PdoUserAddress implements InterfaceBase
{

    public function __construct()
    {
        
        $this->connection = ConnectionCreator::createConnection();

    }

    public function list( $id ) 
    {

        $sqlInstruction = 'CALL p_list_address( :ID )';
        $statement = $this->connection->prepare($sqlInstruction);
        $statement->bindValue(':ID', $id , PDO::PARAM_INT);
        $statement->execute();
        
        $data = $statement->fetch(PDO::FETCH_ASSOC);

        return [
            'id' => $data['address_id'],
            'rua' => $data['address_rua'],
            'numero' => $data['address_numero'],
            'complemento' => $data['address_complemento'],
            'bairro' => $data['address_bairro'],
            'cidade' => $data['address_cidade'],
            'estado' => $data['address_estado'],
            'pais' => $data['address_pais'],
            'cep' => $data['address_cep'],
            'dateregister' => $data['address_dateregister'],
        ];
    }

    public function fulllist() 
    {

        $sqlInstruction = 'CALL p_list_address( :ID )';
        $statement = $this->connection->prepare($sqlInstruction);
        $statement->bindValue(':ID', 0 , PDO::PARAM_INT);
        $statement->execute();

        $data_array = [];
        while($data = $statement->fetch(PDO::FETCH_ASSOC)) {
            $data_array[] = [
                'id' => $data['address_id'],
                'rua' => $data['address_rua'],
                'numero' => $data['address_numero'],
                'complemento' => $data['address_complemento'],
                'bairro' => $data['address_bairro'],
                'cidade' => $data['address_cidade'],
                'estado' => $data['address_estado'],
                'pais' => $data['address_pais'],
                'cep' => $data['address_cep'],
                'dateregister' => $data['address_dateregister'],
            ];
        }

        return $data_array;
    }

    public function save( $args )
    {

       
        $sqlInstruction = 'CALL p_save_address( :address_id, :address_rua, :address_numero, :address_complemento, :address_bairro, :address_cidade, :address_estado, :address_pais, :address_cep )';
        $statement = $this->connection->prepare($sqlInstruction);
        $statement->bindValue(':address_id', $args['id'] , PDO::PARAM_INT);
        $statement->bindValue(':address_rua', $args['rua'] , PDO::PARAM_STR);
        $statement->bindValue(':address_numero', $args['numero'] , PDO::PARAM_STR);
        $statement->bindValue(':address_complemento', $args['complemento'] , PDO::PARAM_STR);
        $statement->bindValue(':address_bairro', $args['bairro'] , PDO::PARAM_STR);
        $statement->bindValue(':address_cidade', $args['cidade'] , PDO::PARAM_STR);
        $statement->bindValue(':address_estado', $args['estado'] , PDO::PARAM_STR);
        $statement->bindValue(':address_pais', $args['pais'] , PDO::PARAM_STR);
        $statement->bindValue(':address_cep', $args['cep'] , PDO::PARAM_STR);
        $statement->execute();

        return $statement->fetch(PDO::FETCH_ASSOC);
        
    }



    public function delete( $id )
    {

        $sqlInstruction = 'CALL p_delete_address( :ID )';
        $statement = $this->connection->prepare($sqlInstruction);
        $statement->bindValue(':ID', $id , PDO::PARAM_INT);
        
        return $statement->execute();
    }

}


