<?php 
namespace inshok\admin\database;

use \inshok\admin\database\ConnectionCreator;
use \inshok\admin\database\InterfaceBase;


use PDO;

class PdoUserDocuments implements InterfaceBase
{

    public function __construct()
    {
        
        $this->connection = ConnectionCreator::createConnection();

    }

    public function list( $id ) 
    {

        $sqlInstruction = 'CALL p_list_documents( :ID )';
        $statement = $this->connection->prepare($sqlInstruction);
        $statement->bindValue(':ID', $id , PDO::PARAM_INT);
        $statement->execute();
        
        $data = $statement->fetch(PDO::FETCH_ASSOC);

        return [
            'id' => $data['documents_id'],
            'cpf' => $data['documents_cpf'],
            'rg' => $data['documents_rg'],
            'dateregister' => $data['documents_dateregister'],
        ];
    }


    public function fulllist( $page ) 
    {

        $sqlInstruction = 'CALL p_list_documents( :ID )';
        $statement = $this->connection->prepare($sqlInstruction);
        $statement->bindValue(':ID', 0 , PDO::PARAM_INT);
        $statement->execute();

        $data_array = [];
        while($data = $statement->fetch(PDO::FETCH_ASSOC)) {
            $data_array[] = [
                'id' => $data['documents_id'],
                'cpf' => $data['documents_cpf'],
                'rg' => $data['documents_rg'],
                'dateregister' => $data['documents_dateregister'],
            ];
        }

        return $data_array;
    }

    public function save( $args )
    {

        $sqlInstruction = 'CALL p_save_documents( :documents_id, :documents_cpf, :documents_rg  )';
        $statement = $this->connection->prepare($sqlInstruction);
        $statement->bindValue(':documents_id', $args['id'] , PDO::PARAM_INT);
        $statement->bindValue(':documents_cpf', $args['cpf'] , PDO::PARAM_STR);
        $statement->bindValue(':documents_rg', $args['rg'] , PDO::PARAM_STR);
        $statement->execute();

        return $statement->fetch(PDO::FETCH_ASSOC);
        
    }


    public function delete( $id )
    {

        $sqlInstruction = 'CALL p_delete_documents( :ID )';
        $statement = $this->connection->prepare($sqlInstruction);
        $statement->bindValue(':ID', $id , PDO::PARAM_INT);
        
        return $statement->execute();
    }

}


