<?php 
namespace inshok\admin\database;

use \inshok\admin\database\ConnectionCreator;
use \inshok\admin\database\InterfaceBase;


use PDO;

class PdoUserLogin implements InterfaceBase
{

    public function __construct()
    {
        
        $this->connection = ConnectionCreator::createConnection();

    }

    public function list( $id ) 
    {

        $sqlInstruction = 'CALL p_list_login( :ID )';
        $statement = $this->connection->prepare($sqlInstruction);
        $statement->bindValue(':ID', $id , PDO::PARAM_INT);
        $statement->execute();
        
        $data = $statement->fetch(PDO::FETCH_ASSOC);

        return [
            'id' => $data['login_id'],
            'key' => $data['login_key'],
            'pass' => $data['login_pass'],
            'lastaccess' => $data['login_lastaccess'],
            'dateregister' => $data['login_dateregister'],
        ];
    }
    

    public function fulllist( $page ) 
    {

        $sqlInstruction = 'CALL p_list_login( :ID )';
        $statement = $this->connection->prepare($sqlInstruction);
        $statement->bindValue(':ID', 0 , PDO::PARAM_INT);
        $statement->execute();

        $data_array = [];
        while($data = $statement->fetch(PDO::FETCH_ASSOC)) {
            $data_array[] = [
                'id' => $data['login_id'],
                'key' => $data['login_key'],
                'pass' => $data['login_pass'],
                'lastaccess' => $data['login_lastaccess'],
                'dateregister' => $data['login_dateregister'],
            ];
        }

        return $data_array;
    }

    public function save( $args )
    {
       
        $sqlInstruction = 'CALL p_save_login( :documents_id, :documents_rg, :documents_cpf )';
        $statement = $this->connection->prepare($sqlInstruction);
        $statement->bindValue(':login_id', $args['id'] , PDO::PARAM_INT);
        $statement->bindValue(':login_key', $args['key'] , PDO::PARAM_STR);
        $statement->bindValue(':login_pass', $args['pass'] , PDO::PARAM_STR);
        $statement->execute();

        return $statement->fetch(PDO::FETCH_ASSOC);
        
    }



    public function delete( $id )
    {

        $sqlInstruction = 'CALL p_delete_login( :ID )';
        $statement = $this->connection->prepare($sqlInstruction);
        $statement->bindValue(':ID', $id , PDO::PARAM_INT);
        
        return $statement->execute();
    }

}


