<?php

namespace inshok\admin\entity;


use inshok\admin\database\PdoUserDocuments;
use inshok\admin\helpers\Mask;
//use PDO;


class EntityDocuments implements \JsonSerializable
{

    private $id;
    private $cpf;
    private $rg;
    private $dateregister;


    public function __construct() {
        
    }

    public function load( $id ) {

        $pdo = new PdoUserDocuments();
        $this->setInstance( $pdo->list( $id ) );

    }

    public function setInstance( $args ) {
        $this->id = !empty($args['documents_id']) ? $args['documents_id'] : $this->id;
        $this->cpf = !empty($args['cpf']) ? $args['cpf'] : $this->cpf;
        $this->rg = !empty($args['rg']) ? $args['rg'] : $this->rg;
        $this->dateregister = !empty($args['documents_dateregister']) ? $args['documents_dateregister'] : $this->dateregister;
        return $this;
    }
        
    public function jsonSerialize() 
    {
        return [
            'id' => $this->id,
            'cpf' => Mask::cpf( $this->cpf ),
            'rg' => Mask::rg( $this->rg ),
            'dateregister' => Mask::date_br( $this->dateregister ),
        ];
    }


    /**
     * Get the value of dateregister
     */ 
    public function getDateregister()
    {
        return $this->dateregister;
    }

    /**
     * Set the value of dateregister
     *
     * @return  self
     */ 
    public function setDateregister($dateregister)
    {
        $this->dateregister = $dateregister;

        return $this;
    }

    /**
     * Get the value of rg
     */ 
    public function getRg()
    {
        return $this->rg;
    }

    /**
     * Set the value of rg
     *
     * @return  self
     */ 
    public function setRg($rg)
    {
        $this->rg = $rg;

        return $this;
    }

    /**
     * Get the value of cpf
     */ 
    public function getCpf()
    {
        return $this->cpf;
    }

    /**
     * Set the value of cpf
     *
     * @return  self
     */ 
    public function setCpf($cpf)
    {
        $this->cpf = $cpf;

        return $this;
    }

    /**
     * Get the value of id
     */ 
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set the value of id
     *
     * @return  self
     */ 
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }
}
