<?php

namespace inshok\admin\entity;


use inshok\admin\database\PdoUserAddress;

//use PDO;


class EntityLogin implements \JsonSerializable
{

    private $id;
    private $key;
    private $pass;
    private $lastaccess;
    private $dateregister;

    public function __construct() {
        
    }

    public function load( $id ) {

        $pdo = new PdoUserAddress();
        $this->setInstance( $pdo->list( $id ) );

    }

    public function setInstance( $args ) {
        $this->id = !empty($args['login_id']) ? $args['login_id'] : $this->id;
        $this->key = !empty($args['key']) ? $args['key'] : $this->key;
        $this->pass = !empty($args['pass']) ? $args['pass'] : $this->pass;
        $this->lastaccess = !empty($args['login_lastaccess']) ? $args['login_lastaccess'] : $this->lastaccess;
        $this->dateregister = !empty($args['login_dateregister']) ? $args['login_dateregister'] : $this->dateregister;
        return $this;
    }

    
    public function jsonSerialize() 
    {
        return [
            'id' => $this->id,
            'key' => $this->key,
            'pass' => $this->pass,
            'lastaccess' => $this->lastaccess,
            'dateregister' => $this->dateregister,
        ];
    }


    /**
     * Get the value of id
     */ 
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set the value of id
     *
     * @return  self
     */ 
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of key
     */ 
    public function getKey()
    {
        return $this->key;
    }

    /**
     * Set the value of key
     *
     * @return  self
     */ 
    public function setKey($key)
    {
        $this->key = $key;

        return $this;
    }

    /**
     * Get the value of pass
     */ 
    public function getPass()
    {
        return $this->pass;
    }

    /**
     * Set the value of pass
     *
     * @return  self
     */ 
    public function setPass($pass)
    {
        
        $this->pass = $this->encryptPass( $pass );
        return $this;
    }

    /**
     * Get the value of lastaccess
     */ 
    public function getLastaccess()
    {
        return $this->lastaccess;
    }

    /**
     * Set the value of lastaccess
     *
     * @return  self
     */ 
    public function setLastaccess($lastaccess)
    {
        $this->lastaccess = $lastaccess;

        return $this;
    }

    /**
     * Get the value of dateregister
     */ 
    public function getDateregister()
    {
        return $this->dateregister;
    }

    /**
     * Set the value of dateregister
     *
     * @return  self
     */ 
    public function setDateregister($dateregister)
    {
        $this->dateregister = $dateregister;

        return $this;
    }

    
    private function encryptPass( $pass ) {

        $options = [
            'cost' => 12,
        ];

        $pass_encrypted = password_hash($pass , PASSWORD_BCRYPT, $options);

        return $pass_encrypted;
    }

}
