<?php require __DIR__ . '/../../components/admin/default/header/header.php'; ?>

	<body class="hold-transition sidebar-mini">
		<div class="wrapper">


		<?php require __DIR__ . '/../../components/admin/navbar/navbar.php'; ?>
		<?php require __DIR__ . '/../../components/admin/sidebar/sidebar.php'; ?>

		
		<!-- Content Wrapper. Contains page content -->
		<div class="content-wrapper">
			
			<!-- Content Header (Page header) -->
			<div class="content-header">
				<div class="container-fluid">
					<div class="row mb-2">
						<div class="col-sm-6">
							<h1 class="m-0">Lista de consultas</h1>
						</div><!-- /.col -->
						
					</div><!-- /.row -->
				</div><!-- /.container-fluid -->
			</div>
			<!-- /.content-header -->


		
			<section class="content">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12">
                        <!-- Default box -->
                            <div class="card">
                                <div class="card-header">
                                    <h3 class="card-title">
                                        
                                        <form method="GET">
                                            <label class="form-label">Selecione a clínica e a data da consulta</label>
                                            <div class="input-group">
                                                
                                                
                                                <select class="form-control mr-1" id="clinic_id" name="id" placeholder="Profissional" required>
                                                    <option value="0">Selecione a clínica</option>
                                                    <?php foreach($clinic_list as $clinic_item): ?>
                                                        
                                                        <?php
                                                        $selected = '';
                                                        if($clinic_selected == $clinic_item['clinic_id']) {
                                                            $selected = 'selected';
                                                        }
                                                        ?>

                                                        <option value="<?= $clinic_item['clinic_id'] ?>" <?= $selected ?>>
                                                            <?= $clinic_item['clinic_name'] ?>
                                                        </option>

                                                    <?php endforeach ?>
                                                </select>
                                                
                                                
                                                <input type="date" class="form-control mr-1" id="scheduling_dateconsultation_date" name="sdd" value="<?= $scheduling_dateconsultation_date ?>" required>

                                                <input type="hidden" name="action" value="list">

                                                <button class="btn btn-primary">Pesquisar</button>
                                                
                                            </div>
                                        </form>

                                    </h3>
                                    <div class="card-tools">
                                        <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                                            <i class="fas fa-minus"></i>
                                        </button>
                                        <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
                                            <i class="fas fa-times"></i>
                                        </button>
                                    </div>
                                </div>

                                <div class="card-body">

                                    

                                    <?php if(!isset($scheduling_list)): ?>

                                        <div class="alert alert-warning" role="alert">
                                            Selecione a clínica e data que deseja pesquisar.
                                        </div>

                                    <?php else: ?>

                                        <table class="table table-striped projects">
                                            <thead>
                                                <tr>
                                                    <th style="width: 1%">#</th>
                                                    <th style="width: 9%">Horário</th>
                                                    <th style="width: 25%">Nome do paciente</th>
                                                    <th style="width: 15%">Nome do médico</th>
                                                    <th style="width: 10%">Checkout</th>
                                                    <th style="width: 40%"></th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php foreach($scheduling_list as $scheduling_item): ?>
                                                    <?php
                                                    $scheduling_time = new DateTime($scheduling_item['scheduling_dateconsultation']);

                                                    $scheduling_checkout = new DateTime($scheduling_item['scheduling_checkout']);

                                                    if($scheduling_checkout->format('H:i') != '00:00') {
                                                        $badge_class = 'badge-warning';
                                                    } else {
                                                        $badge_class = 'badge-success';
                                                    }
                                                    
                                                    ?>
                                                    <tr>
                                                        <td>#</td>
                                                        <td><?= $scheduling_time->format('H:i') ?></td>
                                                        <td><?= $scheduling_item['patient_name'] ?></td>
                                                        <td><?= $scheduling_item['doctor_name'] ?></td>
                                                        <td class="project-state"><span class="badge <?= $badge_class ?>"><?= $scheduling_checkout->format('H:i') ?></span></td>
                                                        <td class="project-actions text-right">
                                                            
                                                            <?php if($scheduling_checkout->format('H:i') == '00:00'): ?>
                                                                <a class="btn btn-success btn-sm" href="lista-consultas?id=<?= $scheduling_item['scheduling_id'] ?>&action=checkout">
                                                                    <i class="fas fa-check-circle"></i> Checkout
                                                                </a>
                                                                <a class="btn btn-secondary btn-sm" href="<?= $whatsapp_link ?>" target="_blank">
                                                                    <i class="fas fa-copy"></i> Link
                                                                </a>
                                                                <a class="btn btn-info btn-sm" href="/inserir-consulta?action=update&id=<?= $scheduling_item['scheduling_id'] ?>">
                                                                    <i class="fas fa-pencil-alt"></i> Editar
                                                                </a>
                                                            <?php endif; ?>
                                                            
                                                            <a class="btn btn-danger btn-sm" href="lista-consultas?id=<?= $scheduling_item['scheduling_id'] ?>&action=delete">
                                                                <i class="fas fa-trash"></i> Excluir
                                                            </a>
                                                        </td>
                                                    </tr>
                                                <?php endforeach; ?>
                                            </tbody>
                                        </table>

                                    <?php endif; ?>


                                    
                                    <!-- Modal -->
                                    <div class="modal fade" id="modal-danger" tabindex="-1" aria-labelledby="ModalLabel" aria-hidden="true">
                                        <div class="modal-dialog">
                                            <div class="modal-content bg-danger">
                                                <div class="modal-body">
                                                    Deseja excluir o agendamento selecionada?
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>
                                                    <button type="button" class="btn btn-light">Excluir</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>



                                </div>
                                <!-- /.card-body -->

                                <div class="card-footer">
                                    <a href="/inserir-consulta"><button class="btn btn-primary">Inserir nova consulta</button></a>
                                    <a href="/upload-consultas"><button class="btn btn-info">Inserir uma lista de consultas</button></a>
                                </div>
                                <!-- /.card-footer-->
                            </div>
                            <!-- /.card -->
                        </div>
                    </div>
                </div>
            </section>


		</div>
		<!-- /.content-wrapper -->

		
			<?php require __DIR__ . '/../../components/admin/default/footer/footer.php'; ?>

		</div> <!-- ./wrapper -->


	<?php require __DIR__ . '/../../components/admin/default/footer/scripts/scripts.php'; ?>


    </body>

</html>
