import { CookiesView } from "../View/CookiesView.js";


export class CookiesController
{

    _name = '';
    _value = '';
    _expires = '';
    _container = '';

    constructor( $name , $value, $expires)
    {
        this._name = $name;
        this._value = $value;
        this._expires = $expires;
    }
    
    render() {
        const cookies_view = new CookiesView();
        this._container = cookies_view.render();

        if( this.loadCookie() ) {
            return false;
        }

        this.config();
        return this._container;
    }

    config() {
        const lgpd_button = this._container.querySelector('[data-button="acceptcookies"]');
        lgpd_button.addEventListener( 'click' , ( event ) => {
            this.addCookie();
        });
    }

    addCookie() {
        
        this.createCookie(this._name , this._value, this._expires);
        this._container.classList.add('acceptcookies--hide');

    }
    
    createCookie() {   
        // 'Tue, 03 Set 2021 12:00:00 UTC'
        const dateExpires = `expires = ${ this._expires }`;
        document.cookie = `${this._name}=${ this._value };${dateExpires}`;
        
    }
    
    
    loadCookie() {
        const _name = `${ this._name }=`;

        //
        let _return = false;
        
        const cookies_separator = ';';
        const all_cookies_value = document.cookie.split( cookies_separator );
        
        all_cookies_value.forEach( cookie_value => {
            while(cookie_value.charAt(0) == ' ') {
                cookie_value = cookie_value.substring(1, cookie_value.length);
            }
            
            if(cookie_value.indexOf( _name ) == 0) {
                
                _return = cookie_value.substring( _name.length , cookie_value.length );

            }
        });

        
        return _return;

    }
    
}


