export class Validation
{
    _typeErrors = [
        'valueMissing',
        'typeMismatch',
        'patternMismatch',
        'customError'
    ];

    constructor( errorMessages , validators )
    {
        if(this.constructor == Validation) {
            throw new Error('Você não pode instanciar uma classe abstrata');
        };

        this._errorMessages = errorMessages;
        this._validators = validators;
    }

    validate( input )
    {
        throw new Error("O método validate não foi implementado.")
    }

    _validate( input ) {
        

        const inputType = input.dataset.type;
        if(this._validators[inputType]) {
            this[this._validators[inputType].function]( this._validators[inputType].args );
        }

        if(!input.validity.valid) {
            const mesageError = this._showMessageError(inputType, input);
            return mesageError;
        }

        return true;

    }
    
    _showMessageError(inputType, input) {

        let message = '';
        this._typeErrors.forEach(error => {
            
            if(input.validity[error]) {
                message = this._errorMessages[inputType][error];
            }

        });

        return message;
    }
    
}