import { Register } from './Controller/Validate/Register.js';
import { ConfigForm } from './Controller/Config/ConfigForm.js';


const insertuser = ( () => {


    const errorMessages = {
        name: {
            valueMissing: 'Você precisa preencher o campo nome.'
        },
        whatsapp: {
            valueMissing: 'Você precisa preencher o campo whatsapp.',
            patternMismatch: 'Formato de telefone inválido.'
        },
        email: {
            valueMissing: 'Você precisa preencher o campo e-mail.',
            typeMismatch: 'O e-mail digitado não é válido'
        },
        description: {
            valueMissing: 'Você precisa preencher o campo comentário.'
        },
        date: {
            valueMissing: 'Selecione a data da consulta.'
        },
        time: {
            valueMissing: 'Selecione o horário da consulta.'
        },
        clinic: {
            customError: 'Selecione a clínica de atendimento.'
        },
        doctor: {
            customError: 'Selecione o profissional.'
        }
        
    }
    
    const validators = {
        'whatsapp': {
            function: 'validateWhatsapp',
            args: {
                'whatsapp': document.querySelector('input[data-input-register="whatsapp"]'),
            }
        },
        'clinic': {
            function: 'validateClinic',
            args: {
                'clinic': document.querySelector('select[data-input-register="clinic"]'),
            }
        },
        'doctor': {
            function: 'validateDoctor',
            args: {
                'doctor': document.querySelector('select[data-input-register="doctor"]'),
            }
        }
    }


    const register = new Register( errorMessages , validators );
    
    const configFormRegister = new ConfigForm( register );
    configFormRegister.configInputs('[data-input-register]' , 'blur' , 'error');
    configFormRegister.configInputs('[data-input-register="whatsapp"]' , 'keyup' , false);
    configFormRegister.configSend('[data-form-register]');
    

} )();



