import { Register } from './Controller/Validate/Register.js';
import { ConfigForm } from './Controller/Config/ConfigForm.js';


const insertuser = ( () => {


    const errorMessages = {
        clinicadress_zipcode: {
            valueMissing: 'Você precisa preencher o campo nome.',
            customError: 'CPF inválido.'
        },
        clinicadress_1: {
            valueMissing: 'Você precisa preencher o endereço.'
        },
        clinicadress_number: {
            valueMissing: 'Você precisa preencher o número.'
        },
        clinicadress_district: {
            valueMissing: 'Você precisa preencher o bairro.'
        },
        clinicadress_city: {
            valueMissing: 'Você precisa preencher a cidade.'
        },
        clinicadress_state: {
            valueMissing: 'Você precisa preencher o estado.'
        },
        clinicadress_country: {
            valueMissing: 'Você precisa preencher o país.'
        }
    }
    
    const validators = {
        'clinicadress_zipcode': {
            function: 'recoverCEP',
            args: {
                'clinicadress_zipcode': document.querySelector('#clinicadress_zipcode'),
                'clinicadress_1': document.querySelector('#clinicadress_1'),
                'clinicadress_district': document.querySelector('#clinicadress_district'),
                'clinicadress_city': document.querySelector('#clinicadress_city'),
                'clinicadress_state': document.querySelector('#clinicadress_state'),
                'clinicadress_country': document.querySelector('#clinicadress_country'),
            }
        }
    }


    const register = new Register( errorMessages , validators );
    
    const configFormRegister = new ConfigForm( register );
    configFormRegister.configInputs('[data-input-register]' , 'blur' , 'error');
    configFormRegister.configSend('[data-form-register]');
    

} )();



