import { Register } from './Controller/Validate/Register.js';
import { ConfigForm } from './Controller/Config/ConfigForm.js';


const insertuser = ( () => {


    const errorMessages = {
        email: {
            valueMissing: 'Você precisa preencher o campo e-mail.',
            typeMismatch: 'O e-mail digitado não é válido'
        },
        whatsapp: {
            valueMissing: 'Você precisa preencher o campo whatsapp.',
            patternMismatch: 'Formato de telefone inválido.'
        }
    }
    
    const validators = {
        'whatsapp': {
            function: 'validateWhatsapp',
            args: {
                'whatsapp': document.querySelector('input[data-input-register="whatsapp"]'),
            }
        }
    }


    const register = new Register( errorMessages , validators );
    
    const configFormRegister = new ConfigForm( register );
    configFormRegister.configInputs('[data-input-register]' , 'blur' , 'error');
    configFormRegister.configInputs('[data-input-register="whatsapp"]' , 'keyup' , false);
    configFormRegister.configSend('[data-form-register]');
    

} )();



