import { Register } from './Controller/Validate/Register.js';
import { ConfigForm } from './Controller/Config/ConfigForm.js';


const insertuser = ( () => {


    const errorMessages = {
        upload: {
            valueMissing: 'Selecione o arquivo no formato CSV.'
        },
        clinic: {
            customError: 'Selecione a clínica de atendimento.'
        },
        doctor: {
            customError: 'Selecione o profissional.'
        }
        
    }
    
    const validators = {
        'clinic': {
            function: 'validateClinic',
            args: {
                'clinic': document.querySelector('select[data-input-register="clinic"]'),
            }
        },
        'doctor': {
            function: 'validateDoctor',
            args: {
                'doctor': document.querySelector('select[data-input-register="doctor"]'),
            }
        }
    }


    const register = new Register( errorMessages , validators );
    
    const configFormRegister = new ConfigForm( register );
    configFormRegister.configInputs('[data-input-register]' , 'blur' , 'error');
    configFormRegister.configSend('[data-form-register]');
    

} )();



