import { Register } from './Controller/Validate/Register.js';
import { ConfigForm } from './Controller/Config/ConfigForm.js';


const insertuser = ( () => {


    const errorMessages = {
        cep: {
            valueMissing: 'Você precisa preencher o campo nome.',
            customError: 'CEP inválido.'
        },
        rua: {
            valueMissing: 'Você precisa preencher o endereço.'
        },
        numero: {
            valueMissing: 'Você precisa preencher o número.'
        },
        bairro: {
            valueMissing: 'Você precisa preencher o bairro.'
        },
        cidade: {
            valueMissing: 'Você precisa preencher a cidade.'
        },
        estador: {
            valueMissing: 'Você precisa preencher o estado.'
        },
        pais: {
            valueMissing: 'Você precisa preencher o país.'
        }
    }
    
    const validators = {
        'cep': {
            function: 'recoverCEP',
            args: {
                'cep': document.querySelector('#cep'),
                'rua': document.querySelector('#rua'),
                'bairro': document.querySelector('#bairro'),
                'cidade': document.querySelector('#cidade'),
                'estado': document.querySelector('#estado'),
                'pais': document.querySelector('#pais'),
            }
        }
    }


    const register = new Register( errorMessages , validators );
    
    const configFormRegister = new ConfigForm( register );
    configFormRegister.configInputs('[data-input-register]' , 'blur' , 'error');
    configFormRegister.configSend('[data-form-register]');
    

} )();



