import { Register } from './Controller/Validate/Register.js';
import { ConfigForm } from './Controller/Config/ConfigForm.js';


const insertuser = ( () => {


    const errorMessages = {
        name: {
            valueMissing: 'O campo nome é obrigatório.',
            customError: 'Digite um nome e um sobrenome.'
        },
        email: {
            valueMissing: 'Digite um e-mail.',
            typeMismatch: 'O e-mail digitado não é válido'
        },
        cpf: {
            valueMissing: 'Digite um cpf válido.',
            patternMismatch: 'Formato de CPF inválido.',
            customError: 'CPF inválido.'
        },
        rg: {
            valueMissing: 'Digite um RG válido.',
        },
        whatsapp: {
            valueMissing: 'Você precisa preencher o campo whatsapp.',
            patternMismatch: 'Formato de telefone inválido.'
        },
        pass: {
            valueMissing: 'Você precisa preencher o campo senha.',
            patternMismatch: 'A senha precisa conter de 6 a 12 caracteres sendo uma letra minúscula, uma letra maiúscula e um número.'
        },
        repass: {
            valueMissing: 'Você precisa re-digitar a sua senha.',
            patternMismatch: 'A senha precisa conter de 6 a 12 caracteres sendo uma letra minúscula, uma letra maiúscula e um número.',
            customError: 'As senhas não correspondem.'
        }
    }
    
    const validators = {
        'name': {
            function: 'validateName',
            args: {
                'name': document.querySelector('input[data-type="name"]'),
            }
        },
        'cpf': {
            function: 'validateCPF',
            args: {
                'cpf': document.querySelector('input[data-type="cpf"]'),
            }
        },
        'whatsapp': {
            function: 'formatWhatsapp',
            args: {
                'whatsapp': document.querySelector('input[data-type="whatsapp"]'),
            }
        },
        'repass': {
            function: 'compareInputs',
            args: {
                'pass': document.querySelector('input[data-type="pass"]'),
                'repass': document.querySelector('input[data-type="repass"]')
            }
        }
    }


    const register = new Register( errorMessages , validators );
    
    const configFormRegister = new ConfigForm( register );
    configFormRegister.configInputs('[data-register]' , 'blur' , 'error');
    configFormRegister.configInputs('[data-register="whatsapp"]' , 'keyup' , false);
    configFormRegister.configInputs('[data-register="cpf"]' , 'keyup' , false);
    configFormRegister.configSend('[data-register="form"]');
    

} )();



