import { Register } from './Controller/Validate/Register.js';
import { ConfigForm } from './Controller/Config/ConfigForm.js';


const insertlogin = ( () => {


    const errorMessages = {
        key: {
            valueMissing: 'O campo login é obrigatório.',
            customError: 'O campo login não pode conter espaços.',
        },
        pass: {
            valueMissing: 'Você precisa preencher o campo senha.',
            patternMismatch: 'A senha precisa conter de 6 a 12 caracteres sendo uma letra minúscula, uma letra maiúscula e um número.',
        },
        repass: {
            valueMissing: 'Você precisa re-digitar a sua senha.',
            patternMismatch: 'A senha precisa conter de 6 a 12 caracteres sendo uma letra minúscula, uma letra maiúscula e um número.',
            customError: 'As senhas não correspondem.',
        }
    }
    
    const validators = {
        'key': {
            function: 'validateKeyLogin',
            args: {
                'key': document.querySelector('input[data-type="key"]'),
            }
        },
        'repass': {
            function: 'compareInputs',
            args: {
                'pass': document.querySelector('input[data-type="pass"]'),
                'repass': document.querySelector('input[data-type="repass"]')
            }
        }
    }


    const register = new Register( errorMessages , validators );
    
    const configFormRegister = new ConfigForm( register );
    configFormRegister.configInputs('[data-input-register]' , 'blur' , 'error');
    configFormRegister.configSend('[data-form-register]');
    

} )();



